Make single analyzer failures not fail kythe build

Change-Id: I53319bfc9f15e86df721e7b8e26ab335ec94c92c
diff --git a/linux-x86_64/kythe/studio/build_studio_kythe.sh b/linux-x86_64/kythe/studio/build_studio_kythe.sh
index 5bc8a5b..773b72e 100755
--- a/linux-x86_64/kythe/studio/build_studio_kythe.sh
+++ b/linux-x86_64/kythe/studio/build_studio_kythe.sh
@@ -39,13 +39,15 @@
 
 # For each kythe index file run the java index to generate kythe
 # entries.
+# Ignore failures from analysis (|| true) as Kythe will do statistical analysis
+# on the entries and produce indexes for builds with 95% coverage and up.
 cd "${OUT_ENTRIES}"
 for KINDEX in ${KINDEXES}; do
   ENTRIES="$(basename "${KINDEX}").entries"
   if [ ! -f "${ENTRIES}" ]; then
     "${JDK_18_x64}/bin/java" -jar \
     "${KYTHE_ROOT}/indexers/java_indexer.jar" \
-      "${KINDEX}" > "${ENTRIES}"
+      "${KINDEX}" > "${ENTRIES}" || true
   fi
 done;